Description: Correct "long" to "time_t"
 In addition, make sure the signed 64-bit value is printed as such.
Author: Sven Geuer <sge@debian.org>
Forwarded: not-needed
Last-Update: 2024-08-18
--- a/src/util/cracker.c
+++ b/src/util/cracker.c
@@ -105,11 +105,11 @@
 char *fmt;
 char *a, *b, *c, *d, *e, *f;
 {
-    long t;
+    time_t t;
 
     time(&t);
 
-    fprintf(stdout, "%c:%ld:", key, t);
+    fprintf(stdout, "%c:%lld:", key, (long long int)t);
     fprintf(stdout, fmt, a, b, c, d, e, f);
 
     fflush(stdout);
